Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.components.jms
Class SonicMQVendorAdapter

    java.lang.Object
      org.apache.axis.components.jms.JMSVendorAdapter
          org.apache.axis.components.jms.BeanVendorAdapter
              org.apache.axis.components.jms.SonicMQVendorAdapter

public class SonicMQVendorAdapter
extends BeanVendorAdapter

Defines SonicMQ specific constants for connnection factory creation. Overrides methods in BeanVendorAdapter to fill in MQ classnames

Author:
  Jaime Meritt (jmeritt@sonicsoftware.com), Ray Chun (rchun@sonicsoftware.com)

Field Summary
`static java.lang.String` | `BROKER_URL` `SonicConnectionFactory` parameter valid for either domain.
`static java.lang.String` | `CONNECT_ID` `SonicConnectionFactory` parameter valid for either domain.
`static java.lang.String` | `CONNECTION_URLS` `SonicConnectionFactory` parameter valid for either domain.
`static java.lang.String` | `DEFAULT_PASSWORD` `SonicConnectionFactory` parameter valid for either domain.
`static java.lang.String` | `DEFAULT_USERNAME` `SonicConnectionFactory` parameter valid for either domains.
`static java.lang.String` | `LOAD_BALANCING` `SonicConnectionFactory` parameter valid for either domain.
`static java.lang.String` | `MONITOR_INTERVAL` `SonicConnectionFactory` parameter valid for either domain.
`static java.lang.String` | `PERSISTENT_DELIVERY` `SonicConnectionFactory` parameter valid for either domain.
`static java.lang.String` | `PING_INTERVAL` `SonicConnectionFactory` parameter valid for either domain.
`static java.lang.String` | `PREFETCH_COUNT` `SonicConnectionFactory` parameter valid for the PTP domain.
`static java.lang.String` | `PREFETCH_THRESHOLD` `SonicConnectionFactory` parameter valid for the PTP domain.
`static java.lang.String` | `RECONNECT_INTERVAL` `SonicConnectionFactory` parameter valid for either domain.
`static java.lang.String` | `RECONNECT_TIMEOUT` `SonicConnectionFactory` parameter valid for either domain.
`static java.lang.String` | `SELECTOR_AT_BROKER` `SonicConnectionFactory` parameter valid for the PubSub domain.
`static java.lang.String` | `SEQUENTIAL` `SonicConnectionFactory` parameter valid for either domain.

Fields inherited from class org.apache.axis.components.jms.BeanVendorAdapter
`CONNECTION_FACTORY_CLASS`

Fields inherited from class org.apache.axis.components.jms.JMSVendorAdapter
`CONNECT_ACTION, ON_EXCEPTION_ACTION, RECEIVE_ACTION, SEND_ACTION, SUBSCRIBE_ACTION`

Constructor Summary
`SonicMQVendorAdapter()`

Method Summary
`void` | `addVendorConnectionFactoryProperties(JMSURLHelper jmsurl, java.util.HashMap cfProps)` Extract Sonic-specific properties from the JMS URL
`javax.jms.QueueConnectionFactory` | `getQueueConnectionFactory(java.util.HashMap cfConfig)`
`javax.jms.TopicConnectionFactory` | `getTopicConnectionFactory(java.util.HashMap cfConfig)`
`boolean` | `isConnectionDropped(javax.jms.JMSException jmse)`
`boolean` | `isMatchingConnectionFactory(javax.jms.ConnectionFactory cf, JMSURLHelper jmsurl, java.util.HashMap cfProps)` Check that the attributes of the candidate connection factory match the requested connection factory properties.
`boolean` | `isRecoverable(java.lang.Throwable thrown, int action)`

Methods inherited from class org.apache.axis.components.jms.JMSVendorAdapter
`getJMSConnectionFactoryProperties, getJMSConnectorProperties, getQueue, getTopic, getVendorId, setProperties, setupApplicationProperties, setupMessageContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BROKER_URL

    public static final java.lang.String BROKER_URL

  `SonicConnectionFactory` parameter valid for either domain. This should be used as a key in the environment map passed into calls to `createConnector` in `JMSConnectorFactory`. This is a required property. The value must be a `java.lang.String` See the SonicMQ documentation for information on this property

  See Also:
    Constant Field Values

### DEFAULT_USERNAME

    public static final java.lang.String DEFAULT_USERNAME

  `SonicConnectionFactory` parameter valid for either domains. This should be used as a key in the environment map passed into calls to `createConnector` in `JMSConnectorFactory` This is a required property for secure brokers. The value must be a `java.lang.String` See the SonicMQ documentation for information on this property

  See Also:
    Constant Field Values

### DEFAULT_PASSWORD

    public static final java.lang.String DEFAULT_PASSWORD

  `SonicConnectionFactory` parameter valid for either domain. This should be used as a key in the environment map passed into calls to `createConnector` in `JMSConnectorFactory` This is a required property for secure brokers. The value must be a `java.lang.String` See the SonicMQ documentation for information on this property

  See Also:
    Constant Field Values

### PING_INTERVAL

    public static final java.lang.String PING_INTERVAL

  `SonicConnectionFactory` parameter valid for either domain. This should be used as a key in the environment map passed into calls to `createConnector` in `JMSConnectorFactory` The value must be a `java.lang.Long` See the SonicMQ documentation for information on this property

  See Also:
    Constant Field Values

### RECONNECT_INTERVAL

    public static final java.lang.String RECONNECT_INTERVAL

  `SonicConnectionFactory` parameter valid for either domain. This should be used as a key in the environment map passed into calls to `createConnector` in `JMSConnectorFactory` The value must be a `java.lang.Integer` See the SonicMQ documentation for information on this property

  See Also:
    Constant Field Values

### RECONNECT_TIMEOUT

    public static final java.lang.String RECONNECT_TIMEOUT

  `SonicConnectionFactory` parameter valid for either domain. This should be used as a key in the environment map passed into calls to `createConnector` in `JMSConnectorFactory` The value must be a `java.lang.Integer` See the SonicMQ documentation for information on this property

  See Also:
    Constant Field Values

### CONNECT_ID

    public static final java.lang.String CONNECT_ID

  `SonicConnectionFactory` parameter valid for either domain. This should be used as a key in the environment map passed into calls to `createConnector` in `JMSConnectorFactory` The value must be a `java.lang.String` See the SonicMQ documentation for information on this property

  See Also:
    Constant Field Values

### CONNECTION_URLS

    public static final java.lang.String CONNECTION_URLS

  `SonicConnectionFactory` parameter valid for either domain. This should be used as a key in the environment map passed into calls to `createConnector` in `JMSConnectorFactory` The value must be a `java.lang.String` See the SonicMQ documentation for information on this property

  See Also:
    Constant Field Values

### LOAD_BALANCING

    public static final java.lang.String LOAD_BALANCING

  `SonicConnectionFactory` parameter valid for either domain. This should be used as a key in the environment map passed into calls to `createConnector` in `JMSConnectorFactory` The value must be a `java.lang.Boolean` See the SonicMQ documentation for information on this property

  See Also:
    Constant Field Values

### MONITOR_INTERVAL

    public static final java.lang.String MONITOR_INTERVAL

  `SonicConnectionFactory` parameter valid for either domain. This should be used as a key in the environment map passed into calls to `createConnector` in `JMSConnectorFactory` The value must be a `java.lang.Long` See the SonicMQ documentation for information on this property

  See Also:
    Constant Field Values

### PERSISTENT_DELIVERY

    public static final java.lang.String PERSISTENT_DELIVERY

  `SonicConnectionFactory` parameter valid for either domain. This should be used as a key in the environment map passed into calls to `createConnector` in `JMSConnectorFactory` The value must be a `java.lang.Boolean` See the SonicMQ documentation for information on this property

  See Also:
    Constant Field Values

### SEQUENTIAL

    public static final java.lang.String SEQUENTIAL

  `SonicConnectionFactory` parameter valid for either domain. This should be used as a key in the environment map passed into calls to `createConnector` in `JMSConnectorFactory` The value must be a `java.lang.Boolean` See the SonicMQ documentation for information on this property

  See Also:
    Constant Field Values

### PREFETCH_COUNT

    public static final java.lang.String PREFETCH_COUNT

  `SonicConnectionFactory` parameter valid for the PTP domain. This should be used as a key in the environment map passed into calls to `createConnector` in `JMSConnectorFactory` The value must be a `java.lang.Integer` See the SonicMQ documentation for information on this property

  See Also:
    Constant Field Values

### PREFETCH_THRESHOLD

    public static final java.lang.String PREFETCH_THRESHOLD

  `SonicConnectionFactory` parameter valid for the PTP domain. This should be used as a key in the environment map passed into calls to `createConnector` in `JMSConnectorFactory` The value must be a `java.lang.Integer` See the SonicMQ documentation for information on this property

  See Also:
    Constant Field Values

### SELECTOR_AT_BROKER

    public static final java.lang.String SELECTOR_AT_BROKER

  `SonicConnectionFactory` parameter valid for the PubSub domain. This should be used as a key in the environment map passed into calls to `createConnector` in `JMSConnectorFactory` The value must be a `java.lang.Boolean` See the SonicMQ documentation for information on this property

  See Also:
    Constant Field Values

Constructor Detail

### SonicMQVendorAdapter

    public SonicMQVendorAdapter()

Method Detail

### getQueueConnectionFactory

    public javax.jms.QueueConnectionFactory getQueueConnectionFactory(java.util.HashMap cfConfig)
                                                               throws java.lang.Exception

  Overrides:
    `getQueueConnectionFactory` in class `BeanVendorAdapter`
  Throws:
    `java.lang.Exception`

### getTopicConnectionFactory

    public javax.jms.TopicConnectionFactory getTopicConnectionFactory(java.util.HashMap cfConfig)
                                                               throws java.lang.Exception

  Overrides:
    `getTopicConnectionFactory` in class `BeanVendorAdapter`
  Throws:
    `java.lang.Exception`

### addVendorConnectionFactoryProperties

    public void addVendorConnectionFactoryProperties(JMSURLHelper jmsurl,
                                                     java.util.HashMap cfProps)

  Extract Sonic-specific properties from the JMS URL

  Specified by:
    `addVendorConnectionFactoryProperties` in class `JMSVendorAdapter`
  Parameters:
    `jmsurl` - The JMS URL representing the target endpoint address
    `cfProps` - The set of connection factory configuration properties

### isMatchingConnectionFactory

    public boolean isMatchingConnectionFactory(javax.jms.ConnectionFactory cf,
                                               JMSURLHelper jmsurl,
                                               java.util.HashMap cfProps)

  Check that the attributes of the candidate connection factory match the requested connection factory properties.

  Specified by:
    `isMatchingConnectionFactory` in class `JMSVendorAdapter`
  Parameters:
    `cf` - the candidate connection factory
    `jmsurl` - the JMS URL associated with the candidate connection factory
    `cfProps` - the properties associated with the current request
  Returns:
    true or false

### isRecoverable

    public boolean isRecoverable(java.lang.Throwable thrown,
                                 int action)

  Overrides:
    `isRecoverable` in class `JMSVendorAdapter`

### isConnectionDropped

    public boolean isConnectionDropped(javax.jms.JMSException jmse)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.